<?php
require_once __DIR__ . "/config/config.php";
require_once __DIR__ . "/controllers/LoginController.php";
require_once __DIR__ . "/controllers/GuiaController.php";
require_once __DIR__ . "/controllers/ReservaController.php";

$loginController = new LoginController($pdo);
$guiaController = new GuiaController($pdo);
$reservaController = new ReservaController($pdo);

$uri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);

switch ($uri) {
    case '/login':
        $loginController->login();
        break;
    case '/logout':
        $loginController->logout();
        break;
    case '/guia/crear':
        $guiaController->crearGuia();
        break;
    case '/guia/listar':
        $guiaController->listarGuias();
        break;
    case '/reserva/reservalist':
        $reservaController->listarReservas();
        break;
    case '/principal':
        require_once __DIR__ . "/views/principal.php";
        break;
    case '/acceso-denegado':
        require_once __DIR__ . "/views/acceso-denegado.php";
        break;
    default:
        $loginController->showLoginForm();
        break;
}
?>