<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        .navbar {
            background: linear-gradient(90deg, #2e7d32, #4caf50); /* Gradiente verde andino */
            box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1); /* Sombra más sutil */
            padding: 8px 0; /* Reducimos el padding para hacer la barra más delgada */
        }
        .navbar-brand {
            font-size: 1.2rem; /* Reducimos el tamaño de la fuente */
            font-weight: 700;
            color: #fff !important;
            display: flex;
            align-items: center;
            gap: 8px;
            transition: transform 0.3s ease;
        }
        .navbar-brand:hover {
            transform: scale(1.05);
        }
        .navbar-brand img {
            height: 30px; /* Tamaño del logo ajustado */
            width: auto;
        }
        .navbar-nav .nav-link {
            color: #e0e0e0 !important;
            font-size: 0.9rem; /* Reducimos el tamaño de la fuente */
            font-weight: 500;
            padding: 8px 12px; /* Reducimos el padding */
            transition: color 0.3s ease, background 0.3s ease;
            border-radius: 5px;
            display: flex;
            align-items: center;
            gap: 6px;
        }
        .navbar-nav .nav-link:hover {
            color: #fff !important;
            background: rgba(255, 255, 255, 0.15); /* Fondo más claro para el hover */
        }
        .navbar-nav .nav-link i {
            font-size: 1rem; /* Reducimos el tamaño de los iconos */
        }
        .navbar-nav .dropdown-menu {
            background: linear-gradient(90deg, #2e7d32, #4caf50); /* Fondo del desplegable */
            border: none;
            border-radius: 5px;
            box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
        }
        .navbar-nav .dropdown-item {
            color: #e0e0e0 !important;
            font-size: 0.9rem;
            padding: 8px 18px;
            display: flex;
            align-items: center;
            gap: 6px;
            transition: color 0.3s ease, background 0.3s ease;
        }
        .navbar-nav .dropdown-item:hover {
            color: #fff !important;
            background: rgba(255, 255, 255, 0.15);
        }
        .navbar-nav.ms-auto .nav-link {
            color: #ffeb3b !important; /* Amarillo claro para los enlaces de usuario */
        }
        .navbar-nav.ms-auto .nav-link:hover {
            color: #fff !important;
            background: rgba(255, 255, 255, 0.15);
        }
        .navbar-toggler {
            border: none;
            color: #fff;
        }
        .navbar-toggler-icon {
            background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 255, 255, 0.8)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
        }
        .navbar-collapse {
            background: linear-gradient(90deg,rgb(151, 122, 26),rgb(231, 217, 17)); /* Fondo para el menú colapsado en móviles */
            border-radius: 8px;
            margin-top: 8px;
        }
        @media (min-width: 992px) {
            .navbar-collapse {
                background: none;
                margin-top: 0;
            }
        }
        @media (max-width: 991px) {
            .navbar-nav .nav-link {
                padding: 10px 18px; /* Reducimos el padding en móviles */
                border-bottom: 1px solid rgba(255, 255, 255, 0.1);
            }
            .navbar-nav .dropdown-menu {
                background: none;
                box-shadow: none;
            }
            .navbar-nav .dropdown-item {
                padding-left: 30px; /* Indentación para submenús en móviles */
            }
            .navbar-nav.ms-auto .nav-link {
                border-bottom: none;
            }
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg">
        <div class="container-fluid">
            <a class="navbar-brand" href="<?php echo BASE_URL; ?>">
                <img src="<?php echo BASE_URL; ?>../public/imagenes/logo.png" alt=" "> Terraza Andina
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>principal.php">
                            <i class="fas fa-chart-line"></i> Estadísticas
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>guia/guialist.php">
                            <i class="fas fa-users"></i> Guías
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>producto/productocreate.php">
                            <i class="fas fa-box-open"></i> Productos
                        </a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="mercadoDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="fas fa-shopping-cart"></i> Listado Rápido de Mercado
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="mercadoDropdown">
                            <li>
                                <a class="dropdown-item" href="<?php echo BASE_URL; ?>producto/listaRapidaMercado.php">
                                    <i class="fas fa-shopping-cart"></i> Crear Listado
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="<?php echo BASE_URL; ?>producto/listaMercadoGuardadas.php">
                                    <i class="fas fa-history"></i> Listas de Mercado Guardadas
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-item" href="<?php echo BASE_URL; ?>mesas/GestionMesas.php">
                                    <i class="fas fa-chair"></i> Gestión de Mesas
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>reserva/reservalist.php">
                            <i class="fas fa-book"></i> Reservas
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>CajaChica/ListadoCajaChica.php">
                            <i class="fas fa-wallet me-2"></i> Caja Chica
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>agencia/agencialist.php">
                            <i class="fas fa-building"></i> Agencias
                        </a>
                    </li>
                    <!-- Nuevo enlace para Reportes -->
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo BASE_URL; ?>Reporte/ListaReporte.php">
                            <i class="fas fa-file-alt me-2"></i> Reportes
                        </a>
                    </li>
                </ul>
                <ul class="navbar-nav ms-auto">
                    <?php
                    // Iniciar la sesión si no está iniciada
                    if (session_status() === PHP_SESSION_NONE) {
                        session_start();
                    }
                    ?>
                    <?php if (isset($_SESSION['user_id'])): ?>
                        <li class="nav-item">
                            <span class="nav-link">
                                <i class="fas fa-user-circle"></i> Bienvenido, <?php echo htmlspecialchars($_SESSION['username'] ?? 'Usuario'); ?>
                            </span>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo BASE_URL; ?>logout.php">
                                <i class="fas fa-sign-out-alt"></i> Cerrar Sesión
                            </a>
                        </li>
                    <?php else: ?>
                        <li class="nav-item">
                            <a class="nav-link" href="<?php echo BASE_URL; ?>login.php">
                                <i class="fas fa-sign-in-alt"></i> Iniciar Sesión
                            </a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>